package com.muyu.event.common;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * 事件处理车辆 VehicleEvent
 *
 * @author Yangle
 * Date 2024/6/17 19:55
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@SuperBuilder
public class VehicleEvent {

    private Integer id;
    private String vin;
    private String event;
    private Boolean states=false;


}
