package com.muyu.redis.demo;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;
import org.apache.iotdb.tsfile.read.filter.operator.In;
import org.checkerframework.checker.units.qual.N;

/**
 * RedisData
 *
 * @author Yangle
 * Date 2024/6/26 16:54
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@SuperBuilder
public class RedisData {

    private String vin;
    //报文标签
    private  String messageLabel;
    //起始位
    private  String initiationPosition;
    //终止位
    private  String terminatePosition;
    //报文类型
    private  String typeIdentification;

}
